Skip to content

List managed trunks

GET
/v1/ns/{nsid}/resources/trunks
curl --request GET \
--url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/trunks \
--header 'Authorization: Bearer <token>'
nsid
required
string format: uuid

Namespace UUID

OK

Media typeapplication/json
object
success
boolean
trunks
Array<object>
object
trunk
string
trunk_profile
string
primary_caller_id
string
allowed_caller_ids
Array<string>
ips
Array<string>
uris
Array<string>
max_concurrent
integer
Examplegenerated
{
"success": true,
"trunks": [
{
"trunk": "example",
"trunk_profile": "example",
"primary_caller_id": "example",
"allowed_caller_ids": [
"example"
],
"ips": [
"example"
],
"uris": [
"example"
],
"max_concurrent": 1
}
]
}

Error response

Media typeapplication/problem+json

RFC 7807 Problem Details

object
type

Problem type slug URI

string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example"
}